#!/usr/local/bin/Resource/www/cgi-bin/php
<?php echo "<?xml version='1.0' encoding='UTF8' ?>"; ?>
<rss version="2.0">
<onEnter>
  startitem = "middle";
  setRefreshTime(1);
</onEnter>

<onRefresh>
  setRefreshTime(-1);
  itemCount = getPageInfo("itemCount");
</onRefresh>

<mediaDisplay name="threePartsView"
	sideLeftWidthPC="0"
	sideRightWidthPC="0"
	
	headerImageWidthPC="0"
	selectMenuOnRight="no"
	autoSelectMenu="no"
	autoSelectItem="no"
	itemImageHeightPC="0"
	itemImageWidthPC="0"
	itemXPC="8"
	itemYPC="25"
	itemWidthPC="45"
	itemHeightPC="8"
	capXPC="8"
	capYPC="25"
	capWidthPC="45"
	capHeightPC="64"
	itemBackgroundColor="255:127:36"
	itemPerPage="8"
  itemGap="0"
	bottomYPC="90"
	backgroundColor="255:127:36"
	showHeader="no"
	showDefaultInfo="no"
	imageFocus=""
	sliding="no" idleImageXPC="5" idleImageYPC="5" idleImageWidthPC="8" idleImageHeightPC="10"
>
	
  	<text align="center" offsetXPC="0" offsetYPC="0" widthPC="100" heightPC="20" fontSize="30" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>getPageInfo("pageTitle");</script>
		</text>

  	<text redraw="yes" offsetXPC="85" offsetYPC="12" widthPC="10" heightPC="6" fontSize="20" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>sprintf("%s / ", focus-(-1))+itemCount;</script>
	</text>
	

	
	
	
  	<text  redraw="yes" align="center" offsetXPC="0" offsetYPC="90" widthPC="100" heightPC="8" fontSize="17" backgroundColor="139:155:85" foregroundColor="255:255:255">
		  <script>print(annotation); annotation;</script>
		</text>		
		<image  redraw="yes" offsetXPC=55 offsetYPC=45 widthPC=40 heightPC=35>
		<script>print(img); img;</script>
		</image>
		
		
		<image offsetXPC=1 offsetYPC=3 widthPC=21 heightPC=14>
<script>channelImage;</script>

<widthPC>
<script>
          41 * screenYp / screenXp;
</script>
</widthPC>

<offsetXPC>
<script>
          1 + 55 * (1 - screenYp / screenXp) / 2;
</script>
</offsetXPC>
</image>

		<image offsetXPC=1 offsetYPC=25 widthPC=21 heightPC=14>
<script>channelImage1;</script>

<widthPC>
<script>
          30 * screenYp / screenXp;
</script>
</widthPC>

<offsetXPC>
<script>
          13 + 99 * (1 - screenYp / screenXp) / 2;
</script>
</offsetXPC>
</image>
		
		
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_01.png </idleImage>
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_02.png </idleImage>
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_03.png </idleImage>
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_04.png </idleImage>
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_05.png </idleImage>
		<idleImage> /tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_06.png </idleImage>


		<itemDisplay>
			<text align="left" lines="1" offsetXPC=0 offsetYPC=0 widthPC=100 heightPC=100>
				<script>
					idx = getQueryItemIndex();
					focus = getFocusItemIndex();
					if(focus==idx) 
					{
					  location = getItemInfo(idx, "location");
					  annotation = getItemInfo(idx, "annotation");
					  img = getItemInfo(idx,"image");
					  
					  
					}
					getItemInfo(idx, "title");
				</script>
				<fontSize>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "16"; else "14";
  				</script>
				</fontSize>
			  <backgroundColor>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "139:155:85"; else "-1:-1:-1";
  				</script>
			  </backgroundColor>
			  <foregroundColor>
  				<script>
  					idx = getQueryItemIndex();
  					focus = getFocusItemIndex();
  			    if(focus==idx) "255:255:255"; else "255:255:255";
  				</script>
			  </foregroundColor>
			</text>

		</itemDisplay>
		
<onUserInput>
<script>
ret = "false";
userInput = currentUserInput();

if (userInput == "pagedown" || userInput == "pageup")
{
  idx = Integer(getFocusItemIndex());
  if (userInput == "pagedown")
  {
    idx -= -8;
    if(idx &gt;= itemCount)
      idx = itemCount-1;
  }
  else
  {
    idx -= 8;
    if(idx &lt; 0)
      idx = 0;
  }

  print("new idx: "+idx);
  setFocusItemIndex(idx);
	setItemFocus(0);
  redrawDisplay();
  "true";
}
ret;
</script>
</onUserInput>
		
	</mediaDisplay>
	
	<item_template>
		<mediaDisplay  name="threePartsView" idleImageXPC="5" idleImageYPC="5" idleImageWidthPC="8" idleImageHeightPC="10">
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_01.png</idleImage>
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_02.png</idleImage>
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_03.png</idleImage>
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_04.png</idleImage>
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_05.png</idleImage>
        <idleImage>/tmp/usbmounts/sda1/scripts/MyxLive/image/POPUP_LOADING_06.png</idleImage>
		</mediaDisplay>

	</item_template>
	
		
<script>
    channelImage = "/tmp/usbmounts/sda1/scripts/MyxLive/themes/osd/seeon1.png";
  </script>	
 
<script>
    channelImage1 = "/tmp/usbmounts/sda1/scripts/MyxLive/themes/logo/myxtremer_logo.png";
  </script>	
<channel>
	<title></title>
	<menu>main menu</menu>


<?php
$query = $_GET["query"];
if($query) {
   $queryArr = explode(',', $query);
   $page = $queryArr[0];
   $search = $queryArr[1];
}

if ($page==1) {
  $html = file_get_contents("http://www.seeon.tv/channels/");
} else {
  $html = file_get_contents("http://www.seeon.tv/channels/?p=".$page);
}
if($page > 1) { ?>

<item>
<?php
$sThisFile = 'http://127.0.0.1'.$_SERVER['SCRIPT_NAME'];
$url = $sThisFile."?query=".($page-1).",";
if($search) { 
  $url = $url.$search; 
}
?>
<title>Previous Page</title>
<link><?php echo $url;?></link>
<annotation>Previous Page</annotation>
<image>/tmp/usbmounts/sda1/scripts/MyxLive/themes/osd/left.png</image>
<mediaDisplay name="threePartsView"/>
</item>


<?php } ?>

<?php
function str_between($string, $start, $end){ 
	$string = " ".$string; $ini = strpos($string,$start); 
	if ($ini == 0) return ""; $ini += strlen($start); $len = strpos($string,$end,$ini) - $ini; 
	return substr($string,$ini,$len); 
}
$videos = explode('<td width="25%"', $html);

unset($videos[0]);
$videos = array_values($videos);

foreach($videos as $video) {
    $t1 = explode('href="', $video);
    $t2 = explode('"', $t1[1]);
    $link = $t2[0];

    $t1 = explode(' src="', $video);
    $t2 = explode('"', $t1[1]);
    $image = $t2[0];

    $t1=explode('alt="',$video);
    $t2=explode(':',$t1[1]);
    $title = $t2[0];

    
    if ($image <> "") {
    echo '
    <item>
    <title>'.$title.'</title>
    <onClick>
    <script>
    showIdle();
    url=geturl("http://127.0.0.1:80/media/sda1/scripts/MyxLive/modules/vod/seeontv/seeontv_link.php?file='.$link.'");
    movie="http://127.0.0.1:80/media/sda1/scripts/MyxLive/modules/links/genel2.cgi?" + url;
    cancelIdle();
    playItemURL(movie, 10);
    </script>
    </onClick>
    <annotation>'.$title.'</annotation>
    <image>'.$image.'</image>
    <media:thumbnail url="'.$image.'" />
    <mediaDisplay name="threePartsView"/>
    </item>
    ';
    }
}

?>

<item>
<?php
$sThisFile = 'http://127.0.0.1'.$_SERVER['SCRIPT_NAME'];
$url = $sThisFile."?query=".($page+1).",";
if($search) { 
  $url = $url.$search; 
}
?>
<title>Next Page</title>
<link><?php echo $url;?></link>
<annotation>Next Page</annotation>
<image>/tmp/usbmounts/sda1/scripts/MyxLive/themes/osd/right.png</image>
<mediaDisplay name="threePartsView"/>
</item>

</channel>
</rss>
